﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.events.MouseEvent;

	public class Damier extends Sprite
	{
		private var col:Number = 9;
		private var line:Number = 9;
		private var grid:Sprite;
		//private var points:Array;
		private var amplitude:Number = 700
		private var diametre:Number = 80
		
		private var magnet:Magnet;
		private var magnets:Array;
		
		private var isDrag:Boolean = false;
		
		
		
		public function Damier()
		
		{
			magnets= new Array();
			
			
			grid = new Sprite();
			addChild(grid);
			grid.x = 50;
			grid.y = 50;
			
			
			for(var i:Number = 0;i<col;i++){
				for(var j:Number = 0; j<line;j++){
					magnet = new Magnet();
					magnet.x = j*50+grid.x;
					magnet.y = i*50+grid.y;
					grid.addChild(magnet);
					magnet.addEventListener(MouseEvent.MOUSE_DOWN, pressBall);
					magnet.addEventListener(MouseEvent.MOUSE_UP, releaseBall);
					magnets.push(magnet);
					
					
				}
			}
			
			addEventListener(Event.ENTER_FRAME, enterHandler);
		}
		
		
		private function pressBall(e:MouseEvent)
		{
			isDrag = true;
			e.currentTarget.startDrag(true);
		}
	
		private function releaseBall(e:MouseEvent)
		{
			isDrag = false;
			e.currentTarget.stopDrag();
		}
		
		private function enterHandler(e:Event):void
		{
			var dist:Number;
			var distx:Number;
			var disty:Number;
			/*points = new Array();
			for(var i:Number = 0;i<col;i++){
				for(var j:Number = 0; j<line;j++){
					dist = Math.sqrt(Math.pow((j*50-mouseX+grid.x),2) + Math.pow(i*50-mouseY+grid.y,2))/4;
					if(dist<diametre && dist>=10){
						distx= ((j*50)-mouseX+grid.x<0)?-dist:dist;
						disty= ((i*50)-mouseY+grid.x<0)?-dist:dist;
						points.push({"x":j*50+amplitude/distx,"y":i*50+amplitude/disty});
					}else{
						points.push({"x":j*50,"y":i*50});
					}
				}
			}*/
			grid.graphics.clear();
			grid.graphics.lineStyle(1,0xffffff);
			
			for(var k:Number=0;k<magnets.length;k++){
				//grid.graphics.beginFill(0xffffff);
				//grid.graphics.drawCircle(points[k].x,points[k].y,1);
				//grid.graphics.endFill();
				if((k+1)%col != 0){
					grid.graphics.moveTo(magnets[k].x,magnets[k].y);
					grid.graphics.lineTo(magnets[k+1].x,magnets[k+1].y);
				}
				/*if(k+col < col*line){
					grid.graphics.moveTo(magnets[k].x,magnets[k].y);
					grid.graphics.lineTo(magnets[k+col].x,magnets[k+col].y);
				}*/
			}
		}
	}
}

import flash.display.Sprite;

class Magnet extends Sprite {
	
	
	function Magnet() {
		
		
		
		graphics.beginFill(0xffffff,0);
		graphics.drawCircle(0,0,30);
		graphics.endFill();
		
		
	}
}